Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicComboBoxEditor

    java.lang.Object
      javax.swing.plaf.basic.BasicComboBoxEditor

All Implemented Interfaces:
  ComboBoxEditor, EventListener, FocusListener

Direct Known Subclasses:
  BasicComboBoxEditor.UIResource, MetalComboBoxEditor

public class BasicComboBoxEditor
extends Object
implements ComboBoxEditor, FocusListener

The default editor for editable combo boxes. The editor is implemented as a JTextField.

Nested Class Summary
`static class` | `BasicComboBoxEditor.UIResource` A subclass of BasicComboBoxEditor that implements UIResource.

Field Summary
`protected JTextField` | `editor`

Constructor Summary
`BasicComboBoxEditor()`

Method Summary
`void` | `addActionListener(ActionListener l)` Add an ActionListener.
`void` | `focusGained(FocusEvent e)` Invoked when a component gains the keyboard focus.
`void` | `focusLost(FocusEvent e)` Invoked when a component loses the keyboard focus.
`Component` | `getEditorComponent()` Return the component that should be added to the tree hierarchy for this editor
`Object` | `getItem()` Return the edited item
`void` | `removeActionListener(ActionListener l)` Remove an ActionListener
`void` | `selectAll()` Ask the editor to start editing and to select everything
`void` | `setItem(Object anObject)` Sets the item that should be edited.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editor

    protected JTextField editor

Constructor Detail

### BasicComboBoxEditor

    public BasicComboBoxEditor()

Method Detail

### getEditorComponent

    public Component getEditorComponent()

  Description copied from interface: `ComboBoxEditor`
  Return the component that should be added to the tree hierarchy for this editor

  Specified by:
    `getEditorComponent` in interface `ComboBoxEditor`

### setItem

    public void setItem(Object anObject)

  Sets the item that should be edited.

  Specified by:
    `setItem` in interface `ComboBoxEditor`
  Parameters:
    `anObject` - the displayed value of the editor

### getItem

    public Object getItem()

  Description copied from interface: `ComboBoxEditor`
  Return the edited item

  Specified by:
    `getItem` in interface `ComboBoxEditor`

### selectAll

    public void selectAll()

  Description copied from interface: `ComboBoxEditor`
  Ask the editor to start editing and to select everything

  Specified by:
    `selectAll` in interface `ComboBoxEditor`

### focusGained

    public void focusGained(FocusEvent e)

  Description copied from interface: `FocusListener`
  Invoked when a component gains the keyboard focus.

  Specified by:
    `focusGained` in interface `FocusListener`

### focusLost

    public void focusLost(FocusEvent e)

  Description copied from interface: `FocusListener`
  Invoked when a component loses the keyboard focus.

  Specified by:
    `focusLost` in interface `FocusListener`

### addActionListener

    public void addActionListener(ActionListener l)

  Description copied from interface: `ComboBoxEditor`
  Add an ActionListener. An action event is generated when the edited item changes

  Specified by:
    `addActionListener` in interface `ComboBoxEditor`

### removeActionListener

    public void removeActionListener(ActionListener l)

  Description copied from interface: `ComboBoxEditor`
  Remove an ActionListener

  Specified by:
    `removeActionListener` in interface `ComboBoxEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.